BackendHTTP APIFunctions

Delete a function

Requires an API key with the environment:functions:delete scope. Learn more about API key scopes.

Deletes a deployed function and enqueues its async teardown. Functions managed by nango deploy (repo source) cannot be deleted through this endpoint.

DELETE
/integrations/{uniqueKey}/functions/{name}

Deletes a deployed function and enqueues its async teardown. Functions managed by nango deploy (repo source) cannot be deleted through this endpoint. Requires an API key with the environment:functions:delete scope.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

uniqueKey*string

The integration ID (unique_key) that you created in Tenklo.

name*string

The name of the function.

Query Parameters

type*string

Required to disambiguate a sync and an action that share a name. On-event functions are not yet supported.

Value in"sync""action"

Response Body

Successfully enqueued the function deletion

application/json
  1. response
data*
Example Request
curl -X DELETE 'https://api.tenklo.dev/integrations/string/functions/string?type=sync'
Example Response
{  "data": {    "success": true  }}